pion::exception Class Reference

Inherits std::exception, and exception.

Inherited by pion::error::bad_arg, pion::error::bad_config, pion::error::bad_password_hash, pion::error::directory_not_found, pion::error::duplicate_plugin, pion::error::file_not_found, pion::error::open_file, pion::error::open_plugin, pion::error::plugin_missing_symbol, pion::error::plugin_not_found, pion::error::plugin_undefined, and pion::error::read_file.

## Public Member Functions

| exception (const std::string &msg)
| exception (const char *const msg)
virtual const char * | what () const throw ()

## Protected Member Functions

void | set_what_msg (const char *const msg=NULL, const std::string *const arg1=NULL, const std::string *const arg2=NULL, const std::string *const arg3=NULL) const
virtual void | update_what_msg () const

## Protected Attributes

std::string | m_what_msg

## Detailed Description

Definition at line 34 of file error.hpp.

The documentation for this class was generated from the following file:

- include/pion/error.hpp